"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Check If Array Contains NaN or Not
 * @param  values any[] Array of Values
 * @return        boolean
 */
function arrayContainsNaN(values) {
    if (!Array.isArray(values)) {
        throw new Error('Array Should Be Provided');
    }
    for (var _i = 0, values_1 = values; _i < values_1.length; _i++) {
        var i = values_1[_i];
        if (Number.isNaN(i)) {
            return true;
        }
    }
    return false;
}
exports.arrayContainsNaN = arrayContainsNaN;
